XDARWIN(1)

NAME
XDarwin - X window system server for Darwin operating system

SYNOPSIS
XDarwin [ options ] ...

DESCRIPTION
#ifdef DARWIN_WITH_QUARTZ XDarwin is the window server for Version 11 of the X window system on the Darwin operating system. XDarwin can be started from the Darwin text console, or while running the Mac OS X Aqua GUI.

When running from the console, XDarwin acts as the window server and uses IOKit services to accesss the display framebuffer, mouse and keyboard and to provide a layer of hardware abstraction. In console mode, XDarwin will normally be started by the xdm(1) display manager or by a script that runs the program xinit(1).

When running with the Mac OS X Aqua GUI, XDarwin will normally be started by launching it from the Finder, but it may also be started from the command line with the -quartz option. The XDarwin application allows easy switching between the Mac OS X and X window desktops. CoreGraphics is used to capture and draw to the screen. Note that the defaults for various command line options are set by the application preferences in this mode. #else XDarwin is the window server for Version 11 of the X window system on the Darwin operating system. This version of XDarwin can only be started from the Darwin text console. The Mac OS X Aqua GUI, if present, must be shut down. XDarwin uses IOKit services to accesss the display framebuffer, mouse and keyboard and to provide a layer of hardware abstraction. XDarwin will normally be started by the xdm(1) display manager or by a script that runs the program xinit(1). #endif

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, XDarwin accepts the following command line switches:

-fakebuttons
    Emulates a 3 button mouse using the Command and Option keys. Clicking the first mouse button while holding down Command will act like clicking button 2. Holding down Option will simulate button 3.

-nofakebuttons
    Do not emulate a 3 button mouse. This is the default.

-keymap file
    On startup XDarwin translates a Darwin keymapping into an X keymap. With this option the keymapping is read from a file instead of the kernel. If the file's path is not specified, it will be searched for in Library/Keyboards/ underneath the following directories (in order): ~, /, /Network, /System. #ifdef DARWIN_WITH_QUARTZ

-size width height
    Sets the screeen resolution for the X server to use. This option is ignored if -quartz is specified.

-depth depth
    Specifies the color bit depth to use. Currently only 8, 15, and 24 color bits per pixel are supported. This option is ignored if -quartz is specified.

-refresh rate
    Gives the refresh rate to use in Hz. For LCD displays this should be 0. This option is ignored if -quartz is specified.

-screen screenum
    Specifies which screen number the X server should run on. Screen number 0 is the default. This option is ignored if -quartz is specified.

-quartz
    Run in parallel with the Mac OS X Aqua GUI. #else

-size width height
    Sets the screeen resolution for the X server to use.

-depth depth
    Specifies the color bit depth to use. Currently only 8, 15, and 24 color bits per pixel are supported.

-refresh rate
    Gives the refresh rate to use in Hz. For LCD displays this should be 0.

-screen screenum
    Specifies which screen number the X server should run on. Screen number 0 is the default. #endif

-showconfig
    Print out the server version and patchlevel.

-version
    Same as -showconfig.

SEE ALSO

X(__miscmansuffix__), Xserver(1), xdm(1), xinit(1)

BUGS
XDarwin and this man page still have many limitations. Some of the more obvious ones are:
- There is no rootless mode with Aqua.
- Only one display is supported.
- The display mode can not be changed once the X server has started.
- A screen saver is not supported.

AUTHORS
XFree86 was originally ported to Mac OS X Server by John Carmack. Dave Zarzycki used this as the basis of his port of XFree86 4.0 to Darwin 1.0. Torrey T. Lyons improved and integrated this code into the XFree86 Project's mainline for the 4.0.2 release.

The following members of the XonX Team contributed to the XFree86 4.1 release:

Rob Braun - Darwin x86 support
Torrey T. Lyons - Project Lead
Andreas Monitzer - Cocoa version of XDarwin front end
Gregory Robert Parker - Original Quartz implementation
Christoph Pfisterer - Dynamic shared X libraries
Toshimitsu Tanaka - Japanese localization